Public Member Functions | Private Types | Private Attributes | List of all members
libepubgen::EPUBXMLSink Class Reference

`#include <EPUBXMLSink.h>`

## Public Member Functions
| EPUBXMLSink ()
void | openElement (const char *name, const librevenge::RVNGPropertyList &attributes=librevenge::RVNGPropertyList())
void | closeElement (const char *name)
void | insertEmptyElement (const char *name, const librevenge::RVNGPropertyList &attributes=librevenge::RVNGPropertyList())
void | insertCharacters (const librevenge::RVNGString &characters)
void | append (const EPUBXMLSink &other)
void | writeTo (EPUBPackage &package, const char *name)
bool | empty () const

## Private Types
typedef std::shared_ptr< EPUBXMLElement > | EPUBXMLElementPtr_t

## Private Attributes
std::deque< EPUBXMLElementPtr_t > | m_elements

## Member Typedef Documentation

## ◆ EPUBXMLElementPtr_t

typedef std::shared_ptr<EPUBXMLElement> libepubgen::EPUBXMLSink::EPUBXMLElementPtr_t
| private

## Constructor & Destructor Documentation

## ◆ EPUBXMLSink()

libepubgen::EPUBXMLSink::EPUBXMLSink | ( |  | ) |

## Member Function Documentation

## ◆ append()

void libepubgen::EPUBXMLSink::append | ( | const EPUBXMLSink & | other | ) |

## ◆ closeElement()

void libepubgen::EPUBXMLSink::closeElement | ( | const char * | name | ) |

Referenced by libepubgen::EPUBHTMLGenerator::closePopup(), insertEmptyElement(), libepubgen::EPUBHTMLGenerator::setDocumentMetaData(), libepubgen::EPUBGenerator::writeContainer(), libepubgen::EPUBGenerator::writeNavigation(), libepubgen::EPUBGenerator::writeRoot(), and libepubgen::EPUBHTMLManager::writeTocTo().

## ◆ empty()

bool libepubgen::EPUBXMLSink::empty | ( |  | ) | const

## ◆ insertCharacters()

void libepubgen::EPUBXMLSink::insertCharacters | ( | const librevenge::RVNGString & | characters | ) |

Referenced by libepubgen::EPUBHTMLGenerator::insertText(), libepubgen::EPUBHTMLGenerator::setDocumentMetaData(), libepubgen::EPUBGenerator::writeRoot(), and libepubgen::EPUBHTMLManager::writeTocTo().

## ◆ insertEmptyElement()

void libepubgen::EPUBXMLSink::insertEmptyElement | ( | const char * | name,
|  | const librevenge::RVNGPropertyList & | attributes = `librevenge::RVNGPropertyList()`
| ) |  |

Referenced by libepubgen::EPUBHTMLGenerator::insertBinaryObject(), libepubgen::EPUBGenerator::writeContainer(), libepubgen::EPUBGenerator::writeNavigation(), libepubgen::EPUBHTMLManager::writeSpineTo(), libepubgen::EPUBManifest::writeTo(), and libepubgen::EPUBHTMLManager::writeTocTo().

## ◆ openElement()

void libepubgen::EPUBXMLSink::openElement | ( | const char * | name,
|  | const librevenge::RVNGPropertyList & | attributes = `librevenge::RVNGPropertyList()`
| ) |  |

Referenced by insertEmptyElement(), libepubgen::EPUBHTMLGenerator::setDocumentMetaData(), libepubgen::EPUBGenerator::writeContainer(), libepubgen::EPUBGenerator::writeNavigation(), libepubgen::EPUBGenerator::writeRoot(), and libepubgen::EPUBHTMLManager::writeTocTo().

## ◆ writeTo()

void libepubgen::EPUBXMLSink::writeTo | ( | EPUBPackage & | package,
|  | const char * | name
| ) |  |

Referenced by libepubgen::EPUBGenerator::writeContainer(), libepubgen::EPUBGenerator::writeNavigation(), and libepubgen::EPUBGenerator::writeRoot().

## Member Data Documentation

## ◆ m_elements

std::deque<EPUBXMLElementPtr_t> libepubgen::EPUBXMLSink::m_elements
| private

Referenced by append(), closeElement(), empty(), insertCharacters(), openElement(), and writeTo().

The documentation for this class was generated from the following files:

- EPUBXMLSink.h
- EPUBXMLSink.cpp